Skip to content

Terminals

Retrieves the latest telemetry data for a specific terminal.

GET /v1/merchant/admin/terminal/telemetry/{merchantReference}/{terminalReference}

Sample

json
GET /v1/merchant/terminal/telemetry/e5d751c6-aa78-4d92-a1f1-fcdf776a57d7/69e43127-a0f2-4c10-9e2d-46a5bfb330c5

Auth: API key (VantagePayAdminClient).

Parameters

NameInRequiredDescription
merchantReferencepathYesA globally unique internal merchant reference (UUID).
terminalReferencepathYesA globally unique internal terminal reference (UUID) or an external terminal reference.

Responses

StatusDescription
200The telemetry data was returned successfully.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The merchant, terminal, or telemetry data was not found.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultobjectNoA terminal telemetry record that includes server-set fields. Inherits from ZGA.Core.Models.Merchants.TerminalTelemetry.
json
{
  "success": true,
  "result": {
    "terminalReference": "00000000-0000-0000-0000-000000000000",
    "reportedDate": "string",
    "pushNotificationToken": "string",
    "auditEvents": [],
    "latitude": 0,
    "longitude": 0,
    "batteryLevelPercentage": 0,
    "isBatteryCharging": true,
    "isWifiConnected": true,
    "isCellularConnected": true,
    "wifiUsageInBytes": 0,
    "cellularUsageInBytes": 0,
    "operatingSystemVersion": "string",
    "softwareVersion": "string"
  }
}

Code samples

WARNING

The JavaScript SDK does not cover admin APIs - use the .NET SDK.

csharp
var telemetry = await adminClient.Merchants.GetLatestTerminalTelemetryAsync(Guid.Parse("3fa85f64-5717-4562-b3fc-2c963f66afa6"), Guid.Parse("8a7b6c5d-4e3f-4210-9c8b-7a6f5e4d3c2b"));

Retrieves the latest telemetry data for all terminals of a merchant.

GET /v1/merchant/admin/terminal/telemetry/{merchantReference}

Sample

json
GET /v1/merchant/terminal/telemetry/e5d751c6-aa78-4d92-a1f1-fcdf776a57d7?terminalReferences=69e43127-a0f2-4c10-9e2d-46a5bfb330c5&terminalReferences=8ab45123-ef01-4a2b-9c3d-56e78901f234

Auth: API key (VantagePayAdminClient).

Parameters

NameInRequiredDescription
merchantReferencepathYesA globally unique internal merchant reference (UUID).
terminalReferencesqueryNoOptional filter - specific terminal references to include.

Responses

StatusDescription
200The telemetry data was returned successfully.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The merchant was not found.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultarray<object>?NoGets the response payload.
json
{
  "success": true,
  "result": [
    {}
  ]
}

Code samples

WARNING

The JavaScript SDK does not cover admin APIs - use the .NET SDK.

csharp
var telemetry = await adminClient.Merchants.GetLatestTerminalTelemetryAsync(Guid.Parse("3fa85f64-5717-4562-b3fc-2c963f66afa6"));

Payments for Africa